Subject: bug#51758: 27.2; Backtrace put in home dir, not current dir

From: Scott Otterson <[email-masked]>
Date: Tue, 20 Sep 2022 10:02:00 -0700

Maybe the solution is to put it in some totally unambiguous place:

  ~/.emacs.crashdump (or whatever)

 and then change the docs to match.

On Tue, Sep 20, 2022 at 8:48 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Lars Ingebrigtsen <[email-masked]>
> > Cc: Scott Otterson <[email-masked]>,  [email-masked]
> > Date: Tue, 20 Sep 2022 16:52:26 +0200
> >
> > Eli Zaretskii <[email-masked]> writes:
> >
> > >> That's right, I thought that the "current directory" was the
> > >> `current-directory'.  Like most people would, I'd
> > >> guess.
> > >
> > > What is your interpretation of current-directory in this case?  Where
> > > do you think that is?
> >
> > "The value of `current-directory' where the user was when the crash
> > happened" would be the natural interpretation.
>
> You mean default-directory, I presume?
>
> The problem, as I explained, is that there's a different one in every
> buffer, and there could be many of them.  As far as users are
> concerned, Emacs doesn't have a well-defined notion of "current
> directory", so saying "where the user was" makes little sense with
> Emacs.
>
> > Why not just change the message to "the directory Emacs was started
> > from"?  That should be clear.
>
> I'm okay with that, I just fear that many users won't know where that
> is.  On MS-Windows, the starting directory can (and usually is)
> determined by the desktop shortcut used to start Emacs, and people
> rarely are aware where is that.
>